Bug 87701 - Installer crashes unpredictably when installing red hat linux 8.0
Installer crashes unpredictably when installing red hat linux 8.0
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
8.0
i586 Linux
medium Severity high
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-01 10:12 EST by Salil Surendran
Modified: 2007-04-18 12:52 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-02 12:39:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Salil Surendran 2003-04-01 10:12:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
I have tried installing Redhat 8.0 and 7.3 many times but it has failed 
unpredictably at different stages of the installation. Finally even when it 
succeeded it crashed my system many times and I had to uninstall it from my 
system. I gave up thinking the CDs were bad. Recently I tried installing 
PCQLinux a version based on Redhat 8.0 and it gave me the same problem. This 
time it gave me a dump which I saved to a floppy.

The configuration of my system is:
Intel Pentium III - 800 Mhz
Samsung Hard Drive - 20 GB
Samsung CD Drive - 52x
nVidia GeForce2 DDR Pro 32 MB 
Onboard Sound Card
128 MB RAM
Kobian Motherboard


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Just try installing Redhat on my System
2.
3.
    

Actual Results:  The installation crashed in both graphical as well as text 
mode.

Expected Results:  Redhat should have been installed to the drive

Additional info:
The dump produced by the installer in text mode is pasted below:
Traceback (most recent call last):
  File "/usr/bin/anaconda", line 694, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/text.py", line 446, in run
    dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 150, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 215, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/partitioning.py", line 57, in 
partitionObjectsInitialize
    partitions.setFromDisk(diskset)
  File "/usr/lib/anaconda/partitions.py", line 184, in setFromDisk
    lvm.vgscan()
  File "/usr/lib/anaconda/lvm.py", line 38, in vgscan
    raise SystemError, "vgscan failed"
SystemError: vgscan failed

Local variables in innermost frame:
rc: 24320


Dispatcher instance, containing members:
method: CdromInstallMethod instance, containing members:
  messageWindow: <bound method InstallInterface.messageWindow of 
<text.InstallInterface instance at 0x82917b4>>
  loopbackFile: None
  progressWindow: <bound method InstallInterface.progressWindow of 
<text.InstallInterface instance at 0x82917b4>>
  device: hdb
  tree: /mnt/source
  rootPath: /mnt/sysimage
  currentDisc: [1]
step: 9
intf: InstallInterface instance, containing members:
  instLanguage: InstallTimeLanguage instance, containing members:
    current: en_US
    map: {'Swedish': iso15, 'Danish': iso15, 'Icelandic': iso15, 
'Chinese(Simplified)': None, 'Norwegian': iso15, 'German': iso09, 'Dutch': 
iso15, 'Slovenian': iso02, 'Japanese': None, 'French': iso15, 'Czech': 
iso02, 'Portuguese': iso15, 'Ukrainian': koi8-u, 'Spanish': iso15, 
'English': iso01, 'Russian': koi8-r, 'Korean': None, 'Chinese(Traditional)': 
None, 'Italian': iso15}
    tempDefault: 
    nativeLangNames: {'Swedish': Svenska, 'Danish': Dansk, 'Icelandic': 
Íslenska, 'Chinese(Simplified)': 中文(简体), 'Norwegian': Norsk, 
'German': Deutsch, 'English': English, 'Slovenian': slovenščina, 
'Japanese': 日本語, 'French': Français, 'Czech': Čeština, 
'Portuguese': Português, 'Ukrainian': Ukrainian, 'Spanish': Español, 'Dutch': 
Nederlands, 'Russian': Русский, 'Korean': 한국어, 
'Chinese(Traditional)': 繁體中文, 'Italian': Italiano}
    langList: [Chinese(Simplified), Chinese(Traditional), Czech, 
Danish, Dutch, English, French, German, Icelandic, Italian, Japanese, Korean, 
Norwegian, Portuguese, Russian, Slovenian, Spanish, Swedish, Ukrainian]
    langNicks: {'Swedish': sv_SE, 'Danish': da_DK, 'Icelandic': is_IS, 
'Chinese(Simplified)': zh_CN.GB18030, 'Norwegian': no_NO, 'German': 
de_DE, 'Dutch': nl_NL, 'Slovenian': sl_SI, 'Japanese': ja_JP.eucJP, 
'French': fr_FR, 'Czech': cs_CZ, 'Portuguese': pt_PT@euro, 'Ukrainian': 
uk_UA, 'Spanish': es_ES, 'English': en_US, 'Russian': ru_RU.koi8r, 'Korean': 
ko_KR.eucKR, 'Chinese(Traditional)': zh_TW.Big5, 'Italian': it_IT}
    font: {'Swedish': lat0-sun16, 'Danish': lat0-sun16, 'Icelandic': 
lat0-sun16, 'Chinese(Simplified)': None, 'Norwegian': lat0-sun16, 
'German': lat0-16, 'Dutch': lat0-sun16, 'Slovenian': lat2-sun16, 'Japanese': 
Kon, 'French': lat0-sun16, 'Czech': lat2-sun16, 'Portuguese': 
lat0-sun16, 'Ukrainian': cyr-sun16, 'Spanish': lat0-sun16, 'English': 
default8x16, 'Russian': cyr-sun16, 'Korean': None, 'Chinese(Traditional)': 
None, 
'Italian': lat0-sun16}
    kbd: {'Swedish': se-latin1, 'Danish': us, 'Icelandic': is-latin1, 
'Chinese(Simplified)': us, 'Norwegian': no-latin1, 'German': 
de-latin1-nodeadkeys, 'Dutch': nl, 'Slovenian': slovene, 'Japanese': jp106, 
'French': fr-latin1, 'Czech': cz-lat2, 'Portuguese': pt-latin1, 'Ukrainian': 
ua, 'Spanish': es, 'English': us, 'Russian': ru, 'Korean': us, 
'Chinese(Traditional)': us, 'Italian': it}
    tz: {'Swedish': Europe/Stockholm, 'Danish': Europe/Copenhagen, 
'Icelandic': Atlantic/Reykjavik, 'Chinese(Simplified)': Asia/Shanghai, 
'Norwegian': Europe/Oslo, 'German': Europe/Berlin, 'Dutch': 
Europe/Amsterdam, 'Slovenian': Europe/Ljubljana, 'Japanese': 
Asia/Tokyo, 'French': 
Europe/Paris, 'Czech': Europe/Prague, 'Portuguese': Europe/Lisbon, 
'Ukrainian': Europe/Kiev, 'Spanish': Europe/Madrid, 'English': 
America/New_York, 'Russian': Europe/Moscow, 'Korean': Asia/Seoul, 
'Chinese(Traditional)': Asia/Taipei, 'Italian': Europe/Rome}
  langSearchPath: [en_US, en, C]
  showingHelpOnHelp: 0
  welcomeText: PCQLinux 8.0 Aquamarine.
  screen: SnackScreen instance, containing members:
    width: 80
    helpCb: <bound method InstallInterface.helpWindow of 
<text.InstallInterface instance at 0x82917b4>>
    height: 25
  configFileData: {'TitleBar': pixmaps/anaconda_header.png, 'Title': 
Red Hat Linux Beta, 'Splashscreen': pixmaps/first.png, 'WelcomeScreen': 
pixmaps/splash.png}
flags: Flags instance, containing members:
  flags: {'test': 0, 'setupFilesystems': 1, 'serial': 0, 'expert': 0, 
'autostep': 0}
dispatch: Already dumped
instPath: /mnt/sysimage
firstStep: 0
id: InstallData instance, containing members:
  compspkg: None
  dbpath: None
  firewall: Firewall instance, containing members:
    ftp: 0
    http: 0
    portlist: 
    enabled: -1
    telnet: 0
    custom: 1
    ssh: 0
    policy: 1
    dhcp: 0
    smtp: 0
    trustdevs: []
    ports: []
  upgradeSwapInfo: None
  firstboot: 0
  hdList: None
  auth: Authentication instance, containing members:
    hesiodLhs: 
    useKrb5: 0
    nisuseBroadcast: 1
    useShadow: 1
    sambaServer: 
    krb5Realm: 
    nisDomain: 
    sambaWorkgroup: 
    ldapTLS: 
    useMD5: 1
    useSamba: 0
    ldapBasedn: 
    krb5Admin: 
    enableCache: 0
    useLdapauth: 0
    hesiodRhs: 
    ldapServer: 
    useHesiod: 0
    krb5Kdc: 
    useLdap: 0
    nisServer: 
    useNIS: 0
  upgradeRoot: None
  comps: None
  dependencies: []
  accounts: None
  fsset: FileSystemSet instance, containing members:
    messageWindow: <bound method InstallInterface.messageWindow of 
<text.InstallInterface instance at 0x82917b4>>
    waitWindow: <bound method InstallInterface.waitWindow of 
<text.InstallInterface instance at 0x82917b4>>
    mountcount: 0
    entries: [fsentry -- device: none   mountpoint: /dev/pts
           fsystem: devpts format: 0

, fsentry -- device: none   mountpoint: /proc
           fsystem: proc format: 0

]
    progressWindow: <bound method InstallInterface.progressWindow of 
<text.InstallInterface instance at 0x82917b4>>
    migratedfs: 0
  keyboard: Keyboard instance, containing members:
    info: {'KEYBOARDTYPE': pc, 'KEYTABLE': us}
    modelDict: {'gr': ['Greek', 'el', 'pc102', ''], 'speakup': 
['Speakup', 'us', 'pc105', ''], 'ru-cp1251': ['Russian (cp1251)', 'ru', 
'pc102', ''], 'speakup-lt': ['Speakup (laptop)', 'us', 'pc105', ''], 'cf': 
['French Canadian', 'ca_enhanced', 'pc102', ''], 'se-latin1': ['Swedish', 
'se', 'pc102', ''], 'fr_CH-latin1': ['Swiss French (latin1)', 'fr_CH', 
'pc102', ''], 'fr-pc': ['French (pc)', 'fr', 'pc102', ''], 'ru-ms': 
['Russian (Microsoft)', 'ru', 'pc102', ''], 'sk-qwerty': ['Slovakian', 
'sk_qwerty', 'pc102', ''], 'ru2': ['Russian (ru2)', 'ru', 'pc102', ''], 
'et': ['Estonian', 'ee', 'pc102', ''], 'ru1': ['Russian (ru1)', 'ru', 
'pc102', ''], 'es': ['Spanish', 'es', 'pc102', ''], 'it-ibm': ['Italian 
(IBM)', 'it', 'pc102', ''], 'ru': ['Russian', 'ru', 'pc102', ''], 
'fr-latin1': ['French (latin1)', 'fr', 'pc102', ''], 'no': ['Norwegian', 'no', 
'pc102', ''], 'de-latin1-nodeadkeys': ['German (latin1 w/ no 
deadkeys)', 'de', 'pc102', 'nodeadkeys'], 'ru_win': ['Russian (win)', 'ru', 
'pc105', ''], 'ua': ['Ukrainian', 'ua', 'pc102', ''], 'pt-latin1': 
['Portuguese', 'pt', 'pc102', ''], 'it': ['Italian', 'it', 'pc102', ''], 
'de-latin1': ['German (latin1)', 'de', 'pc102', ''], 'fr': ['French', 'fr', 
'pc102', ''], 'pl': ['Polish', 'pl', 'pc102', ''], 'cz-lat2': 
['Czechoslovakian', 'cz', 'pc102', ''], 'dk-latin1': ['Denmark (latin1)', 'dk', 
'pc102', ''], 'bg': ['Bulgarian', 'bg', 'pc102', ''], 'dk': ['Denmark', 
'dk', 'pc102', ''], 'be-latin1': ['Belgian (be-latin1)', 'be', 'pc102', 
''], 'sg-latin1': ['Swiss German (latin1)', 'de_CH', 'pc102', ''], 
'fr-latin0': ['French (latin0)', 'fr', 'pc102', ''], 'de': ['German', 'de', 
'pc102', ''], 'hu': ['Hungarian', 'hu', 'pc102', ''], 'jp106': 
['Japanese', 'jp', 'jp106', ''], 'us-acentos': ['U.S. International', 
'us_intl', 'pc105', ''], 'fr_CH': ['Swiss French', 'fr_CH', 'pc102', ''], 'fi': 
['Finnish', 'fi', 'pc102', ''], 'dvorak': ['Dvorak', 'dvorak', 'pc105', 
''], 'it2': ['Italian (it2)', 'it', 'pc102', ''], 'fi-latin1': 
['Finnish (latin1)', 'fi', 'pc102', ''], 'ro_win': ['Romanian', 'ro', 'pc102', 
''], 'hu101': ['Hungarian (101 key)', 'hu', 'pc102', ''], 'slovene': 
['Slovenian', 'si', 'pc102', ''], 'br-abnt2': ['Brazilian (ABNT2)', 'br', 
'abnt2', ''], 'us': ['U.S. English', 'us', 'pc105', ''], 'no-latin1': 
['Norwegian (latin1)', 'no', 'pc102', ''], 'is-latin1': ['Iceland', 
'is', 'pc102', ''], 'cz-us-qwertz': ['Czechoslovakian (qwertz)', 'cz', 
'pc102', ''], 'uk': ['United Kingdom', 'gb', 'pc101', ''], 'trq': 
['Turkish', 'tr', 'pc102', ''], 'sg': ['Swiss German', 'de_CH', 'pc102', '']}
    type: PC
    beenset: 0
  timezone: Timezone instance, containing members:
    utc: 0
    utcOffset: 0
    arc: 0
    tz: None
    dst: 0
  bootloader: x86BootloaderInfo instance, containing members:
    kickstart: 0
    doUpgradeOnly: 0
    useLinear: 1
    defaultDevice: None
    useGrubVal: 1
    args: KernelArguments instance, containing members:
      args: 
    kernelLocation: /boot/
    images: BootImages instance, containing members:
      default: None
      images: {}
    configfile: /etc/lilo.conf
    above1024: 0
    serialOptions: None
    pure: None
    serialDevice: None
    device: None
    drivelist: [hda]
    serial: 0
    password: None
    forceLBA32: 0
  mouse: FULLNAME="Generic - 3 Button Mouse (PS/2)"
MOUSETYPE="ps/2"
XEMU3="no"
XMOUSETYPE="PS/2"

  extraModules: []
  network: Network instance, containing members:
    domains: []
    isConfigured: 0
    overrideDHCPhostname: 0
    netdevices: {}
    primaryNS: 
    hostname: localhost.localdomain
    secondaryNS: 
    gateway: 
    ternaryNS: 
  instClass: InstallClass instance, containing members:
  upgrade: Boolean instance, containing members:
    val: 0
  monitor: monName: Samsung SyncMaster 750(M)s(T)
monID: DDCPROBED
fbmonSect: 
monHoriz: 30-70
monVert: 50-160
physicalWidth: 320
physicalHeight: 240

  xconfig: XF86Config instance, containing members:
    files: 
# The location of the RGB database.  Note, this is the name of the
# file minus the extension (like ".txt" or ".db").  There is normally
# no need to change the default.

    RgbPath	"/usr/X11R6/lib/X11/rgb"

# Multiple FontPath entries are allowed (they are concatenated 
together)
# By default, PCQuest 6.0 and later now use a font server independent 
of
# the X server to render fonts.

    FontPath   "unix/:7100"

    fallbackModes: {'16': ['800x600']}
    monitor: Already dumped
    forcedDPI: None
    res: 800x600
    keyboard: Already dumped
    videocard: device: None
descr : nVidia Corporation|NV11 [GeForce 2 MX]
server: XFree86
cardManf: None
vidRam: 32768
carddata: {'CHIPSET': 'GeForce 2', 'SEE': 'NVIDIA GeForce 2 (generic)', 
'DRIVER': 'nv', 'NAME': 'NVIDIA GeForce 2 MX (generic)', 
'NOCLOCKPROBE': ''}
devID: NVIDIA GeForce 2 MX (generic)
fbmodes: None
fbbpp: None

    manualModes: {}
    skipx: 0
    skip: 0
    device: None
    monids: {}
    mouse: Already dumped
    monlist: {}
    modes: {'16': ['800x600']}
  floppyDevice: fd0
  methodstr: cdrom://hdb/mnt/source
  videocard: primary: 0
vidCards: [<rhpl.videocard.VideoCard instance at 0x8218a3c>]
Primary Video Card Info:
device: None
descr : nVidia Corporation|NV11 [GeForce 2 MX]
server: XFree86
cardManf: None
vidRam: 32768
carddata: {'CHIPSET': 'GeForce 2', 'SEE': 'NVIDIA GeForce 2 (generic)', 
'DRIVER': 'nv', 'NAME': 'NVIDIA GeForce 2 MX (generic)', 
'NOCLOCKPROBE': ''}
devID: NVIDIA GeForce 2 MX (generic)
fbmodes: None
fbbpp: None

  desktop: Desktop instance, containing members:
    info: {}
    runlevel: 3
  instLanguage: Already dumped
  tmpData: {'TitleBar': pixmaps/anaconda_header.png, 'Title': Red Hat 
Linux Beta, 'Splashscreen': pixmaps/first.png, 'WelcomeScreen': 
pixmaps/splash.png}
  diskset: DiskSet instance, containing members:
    disks: {'hda': <PedDisk object at 0x8339438>}
  rootPassword: None
  handleDeps: 0
  langSupport: Language instance, containing members:
    info: {'SUPPORTED': None}
    langInfoByName: {'English (Ireland)': ('en_IE.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'English (India)': ('en_IN', 'utf8', 
'latarcyrheb-sun16'), 'English (South Africa)': ('en_ZA.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'English (Philippines)': ('en_PH.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'English (Singapore)': ('en_SG.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'English (Botswana)': ('en_BW.UTF-
8', 'utf8', 'latarcyrheb-sun16'), 
'English (Denmark)': ('en_DK.UTF-8', 'utf8', 'latarcyrheb-sun16'), 
'English (Australia)': ('en_AU.UTF-8', 'utf8', 'latarcyrheb-sun16'), 
'English (Hong Kong)': ('en_HK.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'English 
(Zimbabwe)': ('en_ZW.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'English 
(Canada)': ('en_CA.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'English (USA)': 
('en_US.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'English (New Zealand)': 
('en_NZ.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'English (Great 
Britain)': ('en_GB.UTF-8', 'utf8', 'latarcyrheb-sun16')}
    langList: None
    default: None
    langNicks: None
    supported: []
    allSupportedLangs: None
  partitions: Partitions instance, containing members:
    useFdisk: 0
    useAutopartitioning: 0
    autoClearPartType: 1
    nextUniqueID: 8
    reinitializeDisks: 0
    autoClearPartDrives: None
    zeroMbr: 0
    isKickstart: 0
    requests: [PreexistingPartitionSpec instance, containing members:
      currentDrive: None
      badblocks: None
      format: None
      migrate: None
      origfstype: ext3FileSystem instance, containing members:
        partedPartitionFlags: []
        checked: 1
        name: ext3
        migratetofs: None
        deviceArguments: {}
        supported: -1
        partedFileSystemType: <PedFileSystemType object at 0x8229f30>
        defaultOptions: defaults
        maxSizeMB: 2097152
        extraFormatArgs: [-j]
        formattable: 1
        linuxnativefs: 1
        maxLabelChars: 16
      primary: None
      fstype: Already dumped
      preexist: 1
      dev: None
      uniqueID: 6
      device: hda5
      mountpoint: None
      requestSize: 4761.421875
      maxSizeMB: None
      size: 4761.421875
      end: 39086144
      drive: hda
      fslabel: None
      grow: 0
      start: 29334753
      protected: 0
      ignoreBootConstraints: 0
      type: 1
, PreexistingPartitionSpec instance, containing members:
      currentDrive: None
      badblocks: None
      format: None
      migrate: None
      origfstype: None
      primary: None
      fstype: None
      preexist: 1
      dev: None
      uniqueID: 3
      device: hda-1
      mountpoint: None
      requestSize: 0.9228515625
      maxSizeMB: None
      size: 0.9228515625
      end: 29334689
      drive: hda
      fslabel: None
      grow: 0
      start: 29332800
      protected: 0
      ignoreBootConstraints: 0
      type: 1
, PreexistingPartitionSpec instance, containing members:
      currentDrive: None
      badblocks: None
      format: None
      migrate: None
      origfstype: None
      primary: None
      fstype: None
      preexist: 1
      dev: None
      uniqueID: 1
      device: hda-1
      mountpoint: None
      requestSize: 0.0302734375
      maxSizeMB: None
      size: 0.0302734375
      end: 62
      drive: hda
      fslabel: None
      grow: 0
      start: 1
      protected: 0
      ignoreBootConstraints: 0
      type: 1
, PreexistingPartitionSpec instance, containing members:
      currentDrive: None
      badblocks: None
      format: None
      migrate: None
      origfstype: None
      primary: None
      fstype: None
      preexist: 1
      dev: None
      uniqueID: 5
      device: hda-1
      mountpoint: None
      requestSize: 0.0302734375
      maxSizeMB: None
      size: 0.0302734375
      end: 29334752
      drive: hda
      fslabel: None
      grow: 0
      start: 29334691
      protected: 0
      ignoreBootConstraints: 0
      type: 1
, PreexistingPartitionSpec instance, containing members:
      currentDrive: None
      badblocks: None
      format: None
      migrate: None
      origfstype: None
      primary: None
      fstype: None
      preexist: 1
      dev: None
      uniqueID: 7
      device: hda-1
      mountpoint: None
      requestSize: 7.90576171875
      maxSizeMB: None
      size: 7.90576171875
      end: 39102335
      drive: hda
      fslabel: None
      grow: 0
      start: 39086145
      protected: 0
      ignoreBootConstraints: 0
      type: 1
, PreexistingPartitionSpec instance, containing members:
      currentDrive: None
      badblocks: None
      format: None
      migrate: None
      origfstype: None
      primary: None
      fstype: None
      preexist: 1
      dev: None
      uniqueID: 4
      device: hda2
      mountpoint: None
      requestSize: 4761.45263672
      maxSizeMB: None
      size: 4761.45263672
      end: 39086144
      drive: hda
      fslabel: None
      grow: 0
      start: 29334690
      protected: 0
      ignoreBootConstraints: 0
      type: 1
, PreexistingPartitionSpec instance, containing members:
      currentDrive: None
      badblocks: None
      format: None
      migrate: None
      origfstype: FATFileSystem instance, containing members:
        partedPartitionFlags: []
        checked: 0
        name: vfat
        migratetofs: None
        deviceArguments: {}
        supported: -1
        partedFileSystemType: <PedFileSystemType object at 0x8347e98>
        defaultOptions: defaults
        maxSizeMB: 2048
        extraFormatArgs: []
        formattable: 1
        linuxnativefs: 0
        maxLabelChars: 16
      primary: None
      fstype: Already dumped
      preexist: 1
      dev: None
      uniqueID: 2
      device: hda1
      mountpoint: None
      requestSize: 14322.6254883
      maxSizeMB: None
      size: 14322.6254883
      end: 29332799
      drive: hda
      fslabel: None
      grow: 0
      start: 63
      protected: 0
      ignoreBootConstraints: 0
      type: 1
]
    autoPartitionRequests: [New Part Request -- mountpoint: / uniqueID: 
None
  type: ext2  format: 1  badblocks: None
  device: None drive: None  primary: None
  size: 1100  grow: 1  maxsize: None
  start: None  end: None  migrate: None  origfstype: None
, New Part Request -- mountpoint: /boot uniqueID: None
  type: ext2  format: 1  badblocks: None
  device: None drive: None  primary: None
  size: 100  grow: 0  maxsize: None
  start: None  end: None  migrate: None  origfstype: None
, New Part Request -- mountpoint: None uniqueID: None
  type: swap  format: 1  badblocks: None
  device: None drive: None  primary: None
  size: 128  grow: 1  maxsize: 256
  start: None  end: None  migrate: None  origfstype: None
]
    deletes: []
  upgradeDeps: 
  configFileData: {'TitleBar': pixmaps/anaconda_header.png, 'Title': 
Red Hat Linux Beta, 'Splashscreen': pixmaps/first.png, 'WelcomeScreen': 
pixmaps/splash.png}
  x_already_set: 0
dir: 1
skipSteps: {'upgrademigfind': 1, 'confirmupgrade': 1, 
'languagesupport': 1, 'bootloaderadvanced': 1, 'betanag': 1, 'makebootdisk': 1, 
'keyboard': 1, 'upgbootloader': 1, 'upgrademount': 1, 'upgrademigratefs': 1, 
'indivpackage': 1, 'upgradecontinue': 1, 'addswap': 1, 'findrootparts': 
1, 'findinstall': 1, 'language': 1, 'upgradeswapsuggestion': 1, 
'partition': 1, 'fdasd': 2, 'package-selection': 1, 'authentication': 1, 
'findpackages': 1}


/tmp/syslog:
<4>Linux version 2.4.18-14BOOT (bhcompile@daffy.perf.redhat.com) (gcc 
version 3.2 20020903 (Red Hat Linux 8.0 3.2-7)) #1 Wed Sep 4 11:55:51 
EDT 2002
<6>BIOS-provided physical RAM map:
<4> BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
<4> BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
<4> BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
<4> BIOS-e820: 0000000000100000 - 0000000007ff0000 (usable)
<4> BIOS-e820: 0000000007ff0000 - 0000000007ff3000 (ACPI NVS)
<4> BIOS-e820: 0000000007ff3000 - 0000000008000000 (ACPI data)
<4> BIOS-e820: 00000000ffb00000 - 0000000100000000 (reserved)
<5>127MB LOWMEM available.
<4>On node 0 totalpages: 32752
<4>zone(0): 4096 pages.
<4>zone(1): 28656 pages.
<4>zone(2): 0 pages.
<4>Kernel command line: initrd=initrd.img lang= devfs=nomount 
ramdisk_size=9216 BOOT_IMAGE=vmlinuz text
<4>Local APIC 
disab
Comment 1 Mike McLean 2003-04-02 12:39:23 EST
This is a known problem with Red Hat Linux 8.0, it is fixed in Red Hat Linux 9.
Comment 3 Mike McLean 2003-04-04 17:39:57 EST
This bug appears to be the same as a known (albeit intermittent) problem that we
encountered with Red Hat Linux 8.0.  I have *never* seen the vgscan traceback
with any other version of Red Hat Linux, so I'm not sure why you had trouble
with 7.3 (perhaps a different bug?).

In your initial report, you mentioned PCQLinux.  You should be aware Red Hat's
bugzilla is the wrong place to report bugs against other distributions (even
ones that seem or claim to be "based on" one of our releases).  You should take
this problem up with the appropriate vendor.

The vgscan traceback with 8.0 was intermittent.  It did not happen often and it
did not happen reliably.  Whenever it did happen, it seemed to relate to
preexisting LVM or RAID partitions on the harddrive.  

Workarounds.
  - Use a different version.  Red Hat Linux 9 was recently released.
  - Clear all data on the harddrive before installing.

Note You need to log in before you can comment on or make changes to this bug.